Subject: Re: [bug#31386] TensorFlow

From: Björn Höfling <[email-masked]>
Date: Tue, 8 May 2018 21:26:27 +0200

On Tue, 8 May 2018 17:52:10 +0000
Fis Trivial <[email-masked]> wrote:

> I thought about packaging bazel and looked into the nix package[1].
> The package definition from nix isn't very long, but requires
> patches. I dropped the matter since I'm not familiar with java.
> 
> [1]:
> https://github.com/NixOS/nixpkgs/tree/master/pkgs/development/tools/build-managers/bazel

NixOS is just using the bundled dependencies. For Guix, we at least
have to check that all this bundled source code is really free
software, not just open source. Better we unbundle them and use the
dependencies from Guix.

Björn